<!DOCTYPE html>
<html lang="en" data-mode="dark">
  <head prefix="og: http://ogp.me/ns#">
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="generator" content="Hugo 0.68.3">
<meta name="theme" content="Color Your World -- gitlab.com/rmaguiar/hugo-theme-color-your-world">
























<title>Glossary | QEMU QED</title>


<meta name="author" content="Ethan Gates">



<meta name="robots" content="index follow">
<meta name="referrer" content="no-referrer-when-downgrade">




  
    <link rel="canonical" href="https://example.com/glossary/">
  








<meta property="og:site_name" content="QEMU QED">
<meta property="og:title" content="Glossary">

  <meta property="og:url" content="https://example.com/glossary/">








  <meta property="og:type" content="website">

  <meta name="twitter:site" content="@@the_bfool">







  <meta name="twitter:dnt" content="on">












<meta name="theme-color" content="#222">

<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="apple-mobile-web-app-status-bar-style" content="default">










  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    
    
      
      
    

  

    
    

    

      
        
      
      
    

  

    
    

    

      
        
      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    
    
      
      
    

  

    
    

    
    
      
      
    

  

    
    

    

      
      
    

  

    
    

    
    
      
      
    

  

    
    

    
    
      
      
    

  

    
    

    

      
      
    

  

    
    

    
    
      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
        
      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  

    
    

    

      
      
    

  







  <script type="application/ld+json">
    {
      "@context": "https://schema.org",
      "@type": "WebSite",
      "url": "https:\/\/example.com\/",
      "inLanguage": "en",
      "name": "QEMU QED",
      "description": "The missing manual for QEMU for digital preservation",
      "publisher": "Ethan Gates"
    }
  </script>






<link rel="stylesheet" href="/css/main.min.css">



<noscript>

  
  

  

    
      <meta name="theme-color" content="#dd587c">
    

  

  <style>
  
    html {
      --accent: #dd587c;
    }
  
    .req-js {
      display: none;
    }
    
  </style>
  
</noscript>






  <link rel="preload" href="/fonts/open-sans-v17-latin-700.woff" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/open-sans-v17-latin-700.woff2" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/open-sans-v17-latin-italic.woff" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/open-sans-v17-latin-italic.woff2" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/open-sans-v17-latin-regular.woff" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/open-sans-v17-latin-regular.woff2" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/oswald-v29-latin-700.woff" as="font" crossorigin="anonymous">

  <link rel="preload" href="/fonts/oswald-v29-latin-700.woff2" as="font" crossorigin="anonymous">













  <link rel="me" href="https://github.com/EG-tech"> 

  <link rel="me" href="https://gitlab.com/EG-tech"> 

  <link rel="me" href="https://twitter.com/@the_bfool"> 







  <script>
    
      'use strict';

// Get default accent colors



// Get CSS transition


// =================================================
// Mode switcher + Custom accent color
// Based on: https://gist.github.com/regpaq/04c67e8aceecbf0fd819945835412d1f
// =================================================



const ROOT = document.documentElement;

const SHEET = document.documentElement.style;
const META_THEME_COLOR = document.querySelector('meta[name=theme-color]');

// Set the dark
function setDark() {
  ROOT.dataset.mode = 'dark'
};

// Set the light
function setLight() {
  ROOT.dataset.mode = 'light'
};

// Initialization triggers light/dark mode based on prior preference, then OS setting
// And yes, I know 'true' here is a string
if(localStorage.getItem('isDark') == 'true') {
  setDark()
} else if(localStorage.getItem('isDark') == 'false') {
  setLight()

  

};




// TODO
// Maybe I should rethink this ...
function getAccent() {
  if (ROOT.dataset.mode === 'dark') {
  
    if (localStorage.getItem('darkAccent') === null) {
      
      
      
      var currentAccent = "#dd587c"
    } else {
    
      var currentAccent = localStorage.getItem('darkAccent')
      
      
      
    }
  } else if (ROOT.dataset.mode === 'light') {

    if (localStorage.getItem('lightAccent') === null) {
  
      
      

      var currentAccent = "#225670"
    } else {
      var currentAccent = localStorage.getItem('lightAccent')
      
      
      
    }
  };
  
  return currentAccent
};

var activeAccent = getAccent();

// Set the active accent color for these right after setting mode color
// Should mitigate any flickering
SHEET.setProperty('--accent', activeAccent);

// Also meta-theme cuz, why not
META_THEME_COLOR.setAttribute('content', activeAccent);


function updateAccent() {
  var activeAccent = getAccent();

  SHEET.setProperty('--accent', activeAccent);
  PALETTE.value = activeAccent;
  META_THEME_COLOR.setAttribute('content', activeAccent);
};


document.addEventListener('DOMContentLoaded', function () {

  // Update the color picker with the active accent color 
  PALETTE.value = activeAccent;

  // Smooth transition, only when changing modes (and not loading pages)
  function smoothTransition() {
    document.body.style.transition 
    = document.querySelector('header').style.transition
    = document.querySelector('footer').style.transition
    = 'background-color .3s ease, color .3s ease'
  };
  
  // Give the user a choice
  function userModeChange() {
  
    smoothTransition();

    if (ROOT.dataset.mode == 'light') {
      setDark();
      localStorage.setItem('isDark', 'true')

      
      
    } else {
      setLight();
      localStorage.setItem('isDark', 'false')
      
      
      
    };
    
    updateAccent()
  };

  
  // TEST
  // Keyboard shortcut for mode change, here for testing purposes only
  // CTRL + ALT + M
  


  
  
  // Mode change button
  document.querySelector('footer button')
    .addEventListener('click', userModeChange)
})

    
  </script>



  </head>

  <body>

    <header>
      

  <a href="/">QEMU QED</a>




  
    <nav aria-label="Main menu.">
      <ul>
        
          <li>
            <a class="btn" href="/installing/">Installing QEMU</a>
          </li>
        
          <li>
            <a class="btn" href="/usage/">Using QEMU</a>
          </li>
        
          <li>
            <a class="btn" href="/recipes/">Recipes</a>
          </li>
        
          <li>
            <a class="btn" href="/glossary/">Glossary</a>
          </li>
        
          <li>
            <a class="btn" href="/resources/">More Resources</a>
          </li>
        
          <li>
            <a class="btn" href="/contact/">Contact</a>
          </li>
        
      </ul>
    </nav>
  


    </header>

    <div class="filler">
      

  <main>
    <article>
      <header>
        
        <h1>Glossary</h1>

        
        
        
        
      </header>
    
      
      







































  




<h5 id="architecture">Architecture</h5>
<p>(<strong>aka:</strong> System Architecture, CPU architecture, Instruction Set Architecture, Instruction Set)</p>
<p>A computer&rsquo;s &ldquo;architecture&rdquo; is an abstract model of its operations. The computer&rsquo;s architecture determines many of its fundamental features, including compatible hardware and software. In practical terms, architectures are <em>implemented</em> via the <a href="#cpu">processor</a>.</p>
<p>In emulation and virtualization, however, it is often not necessary to emulate a specific model of processor - to run software and emulate other hardware compatible with that architecture, it is often good enough to mimic a <em>generic</em> processor that implements that particular architecture.</p>
<h5 id="bootbooting">Boot/Booting</h5>
<p>To start up a computer. &ldquo;Bootable&rdquo; software is necessary to run a computer in any meaningful way.</p>
<h5 id="cpu">CPU</h5>
<p>(<strong>aka:</strong> Central Processing Unit, Central Processor, Main Processor, Processor)</p>
<p>A piece of electronic circuitry that executes computer programs. It is frequently compared to the &ldquo;brain&rdquo; of a computer: it processes <em>everything</em> run on your computer, from basic instructions to complex functions.</p>
<p>Emulators can recreate specific makes and models of CPU, or &ldquo;generic&rdquo; CPUs that conform to a desired <a href="#architecture">architecture</a>.</p>
<h5 id="disk-image">Disk Image</h5>
<p>A software copy of a physical disk. A disk image recreates all of the data on a disk, including file structure, and all files and folders from the disk, into a single (usually) file. Disk images can be created from existing hard disks, solid state drives, and optical media, or arbitrarily (<em>entirely</em> in software).</p>
<p>Iin order for the data in a disk image to be readable by a computer, the image must usually first be <em>mounted</em> by a compatible operating system or disk utility program.</p>
<h5 id="emulation">Emulation</h5>
<p>The process by which one computer system imitates or reproduces another computer system. Most emulation is done via software, using emulators like QEMU.</p>
<p>The term &ldquo;full-system emulation&rdquo; may be seen in some contexts, particularly in contrast with <a href="#virtualization">virtualization</a>. This generally means that the <em>entire</em> guest computer (CPU, memory, all peripheral devices, etc.) is</p>
<h5 id="guest">Guest</h5>
<p>In virtual machines and emulated environments, the &ldquo;guest&rdquo; system or operating system is the one run <em>inside</em> an emulator like QEMU.</p>
<h5 id="host">Host</h5>
<p>In virtual machines and emulated environments, the &ldquo;host&rdquo; system or operating system is the one running the emulator. This is presumably the user&rsquo;s everyday, contemporary OS.</p>
<h5 id="lan">LAN</h5>
<h5 id="nic">NIC</h5>
<p>(<strong>aka:</strong> Network Interface Controller, Network Interface Card, Network Adapter, LAN Adapter, Physical Network Interface)</p>
<h5 id="operating-system">Operating System</h5>
<h5 id="ram">RAM</h5>
<p>(<strong>aka:</strong> Random-Access Memory, sometimes just shortened to &ldquo;memory&rdquo;)</p>
<h5 id="sound-card">Sound Card</h5>
<p>(<strong>aka:</strong> Audio Card)</p>
<h5 id="video-card">Video Card</h5>
<p>(<strong>aka:</strong> Graphics Card, Display Card, Graphics Adapter, Display Adapter)</p>
<h5 id="virtualization">Virtualization</h5>
<p>Virtualization allows a single computer to run multiple operating systems or multiple computing environments. It is designed to allow a user to run multiple OSes (or to create isolated computing environments) on a computer that would <em>otherwise be compatible with both OSes</em>.</p>
<p>For instance, both Windows 10 and macOS 10.15 (Big Sur) can both be run on x86_64-architecture computers. Instead of choosing only to use one operating system, a user can install one and then run the other inside a virtual machine via virtualization.</p>
<p>Virtualization is very similar to emulation but more efficient because it does not require mimicking the <em>entire</em> computer - in virtualization, the guest and host OS are both compatible with the same processor, for instance, so there is no need to emulate a CPU. However, virtualization is susceptible to breaking over time as systems advance and older OSes become incompatible with current hardware. So emulation is a safer strategy for <em>long-term</em> storage and running of virtual machines or computing environments.</p>
<p>QEMU is capable of both emulation <em>and</em> virtualization, so both strategies can be used together, and adjusted depending on the desired guest system in question.</p>
<h5 id="virtual-machine">Virtual Machine</h5>



    </article>
  </main>


    </div>
    
    <footer>
      

  
    <p>Copyright © EaaSI <a href="https://gitlab.com/eaasi/qemu-qed">GitLab</a> Contributers;
Site built using <a href="https://gohugo.io/">Hugo</a> and the <a href="https://gitlab.com/rmaguiar/hugo-theme-color-your-world">Color Your World</a> theme by Raphael Aguiar</p>
  













<section class="req-js">
  <button class="outline-dashed" title="Change to light/dark mode."><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true"><use xlink:href="#adjust"/></svg></button><input class="outline-dashed" type="color" list="presets" value="#dd587c" title="Change accent color." aria-label="Change accent color."><datalist id="presets"><option value="#225670"><option value="#dd587c"><option value="#1f676b"><option value="#f3a530"><option value="#902b37"><option value="#1dbc91"><option value="#754e85"><option value="#7fc121"><option value="#a8314a"><option value="#ff7433"><option value="#3e6728"><option value="#c063bd"></datalist>
</section>



  <noscript>
    <p class="noscript">Unable to execute JavaScript. Some features were disabled.</p>
  </noscript>



    </footer>
    
    <svg xmlns="http://www.w3.org/2000/svg" width="0" height="0" aria-hidden="true">
      <symbol viewBox="0 0 512 512" id="adjust">
        <path d="M8 256c0 136.966 111.033 248 248 248s248-111.034 248-248S392.966 8 256 8 8 119.033 8 256zm248 184V72c101.705 0 184 82.311 184 184 0 101.705-82.311 184-184 184z"/>
      </symbol>
      
      
      
      
  
<symbol viewBox="0 0 448 512" id="hashtag">
  <path d="M440.667 182.109l7.143-40c1.313-7.355-4.342-14.109-11.813-14.109h-74.81l14.623-81.891C377.123 38.754 371.468 32 363.997 32h-40.632a12 12 0 0 0-11.813 9.891L296.175 128H197.54l14.623-81.891C213.477 38.754 207.822 32 200.35 32h-40.632a12 12 0 0 0-11.813 9.891L132.528 128H53.432a12 12 0 0 0-11.813 9.891l-7.143 40C33.163 185.246 38.818 192 46.289 192h74.81L98.242 320H19.146a12 12 0 0 0-11.813 9.891l-7.143 40C-1.123 377.246 4.532 384 12.003 384h74.81L72.19 465.891C70.877 473.246 76.532 480 84.003 480h40.632a12 12 0 0 0 11.813-9.891L151.826 384h98.634l-14.623 81.891C234.523 473.246 240.178 480 247.65 480h40.632a12 12 0 0 0 11.813-9.891L315.472 384h79.096a12 12 0 0 0 11.813-9.891l7.143-40c1.313-7.355-4.342-14.109-11.813-14.109h-74.81l22.857-128h79.096a12 12 0 0 0 11.813-9.891zM261.889 320h-98.634l22.857-128h98.634l-22.857 128z"/>
</symbol>


  <symbol viewBox="0 0 320 512" id="caret-down">
    <path d="M31.3 192h257.3c17.8 0 26.7 21.5 14.1 34.1L174.1 354.8c-7.8 7.8-20.5 7.8-28.3 0L17.2 226.1C4.6 213.5 13.5 192 31.3 192z"/>
  </symbol>


      
      
      
    </svg>

    
    
    

      <script>
        
          'use strict';const PALETTE=document.querySelector('footer input');PALETTE.onchange=function(){const PICK=PALETTE.value;SHEET.setProperty('--accent',PICK);if(ROOT.dataset.mode==='light'){localStorage.setItem('lightAccent',PICK)}else{localStorage.setItem('darkAccent',PICK)};updateAccent()};
        
      </script>

    
    
    
    

  </body>
</html>
